package com.ym.mec.biz.dal.dto;

import java.io.Serializable;
import java.math.BigDecimal;

public class ActivityMemberPayParamDto extends PayParamBasicDto implements Serializable {

    //前端录入实际缴费金额
    private BigDecimal amount;

    private Long paymentId;

    //购买数量
    private Integer val;

    //如果isRepeatPay = true 则需要传入订单号
    private String orderNo;

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Long getPaymentId() {
        return paymentId;
    }

    public void setPaymentId(Long paymentId) {
        this.paymentId = paymentId;
    }

    public Integer getVal() {
        return val;
    }

    public void setVal(Integer val) {
        this.val = val;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }
}
